Subject: bug#12565: closed (Re: bug#12565: 24.2.50; bootstrap failure: semantic-displayor-tooltip-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Oct 2012 10:41:02 +0000

Your bug report

#12565: 24.2.50; bootstrap failure: semantic-displayor-tooltip-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12565: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12565
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12565: 24.2.50; bootstrap failure: semantic-displayor-tooltip-mode
From: Stephen Berman <[email-masked]>
To: David Engster <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Wed, 03 Oct 2012 12:39:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 03 Oct 2012 09:03:58 +0200 David Engster <[email-masked]> wrote:

> Glenn Morris writes:
>> Presumably bzr status show nothing odd?

Actually, it listed lots of *.moved files from an earlier bzr bisect.
Should they have been there?  Yet they didn't prevent previous
successful builds...

>> Phase of the moon?
>> make maintainer-clean and try again?
>> semantic-displayor-tooltip-mode is defined at semantic/complete.el:1550
>> so it's hard to see how it can be void at line 1596.
>
> I must admit I've seen the same problem, 

Interesting, and somehow reassuring.

>                                          but it "somehow went away" and
> I was unable to reproduce it afterwards. Maybe it was a maintainer-clean
> that fixed it.

I deleted the branch and branched again from trunk, and this time
bootstrapping worked.  Maybe it was just a phase of the moon.  Anyway,
there doesn't seem to be anything to pursue now, so I'm closing this
bug.

Steve Berman

Subject: 24.2.50; bootstrap failure: semantic-displayor-tooltip-mode
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Wed, 03 Oct 2012 00:40:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I just updated to trunk revision 110349, and make bootstrap failed:

Compiling /data/steve/bzr/emacs/quickfixes/lisp/cedet/semantic/complete.el

In toplevel form:
/data/steve/bzr/emacs/quickfixes/lisp/cedet/semantic/complete.el:1596:1:Error: Symbol's value as variable is void: semantic-displayor-tooltip-mode
make[3]: *** [cedet/semantic/complete.elc] Error 1
make[3]: Leaving directory `/data/steve/lib/emacs/gtk/lisp'
make[2]: *** [compile-main] Error 2
make[2]: Leaving directory `/data/steve/lib/emacs/gtk/lisp'
make[1]: *** [lisp] Error 2
make[1]: Leaving directory `/data/steve/lib/emacs/gtk'
make: *** [bootstrap] Error 2